#!/bin/sh
env lua <<EOF
print('转表')
local list = { 'minicoin_google', 'ItemUseSkinDef'}

for i, v in ipairs (list) do 
    --{{{
    local f = io.open(string.format('../csvdef/%s.csv', v), 'r')
    if f then 
        local out = io.open(string.format('./res/%s.lua', v), 'w+')
        if out then 
            local n = 0
            local keys = {}
            local comments = {}

            local c = {}
            out:write('return {\n')
            while true do 
                --{{{
                local line = f:read('*l')
                if not line then break end 
                line = line:gsub(',,', ', ,')
                n = n + 1
                if n == 2 then 
                    for k in line:gmatch('[^,]+') do 
                        if k:match('[^%s]+') then 
                            k = k:match('[^%s]+')
                            table.insert(keys, k ) 
                        else
                            table.insert(keys, '' ) 
                        end 
                    end
                elseif n == 1 then
                    for k in line:gmatch('[^,]+') do 
                        if k:match('[^%s]+') then 
                            table.insert(comments, k ) 
                        else
                            table.insert(comments, '' ) 
                        end 
                    end
                else
                    local nn = 0
                    local id = nil
                    for value in line:gmatch('[^,]+') do 
                        nn = nn + 1
                        value = tonumber(value) and tonumber(value) or value
                        if value and keys[nn]:match('[^%s]+')  then
                            if type(value) == 'string' and not value:match('[^%s+]') then value = '' end 
                            if nn == 1 then 
                                if type(value) == 'number' then 
                                    out:write(string.format('\t[%s] = {\n', tostring(value)))
                                else
                                    out:write(string.format('\t['%s'] = {\n', tostring(value):gsub("\r", '')))
                                end 
                            end 
                            if type(value) == 'number' then 
                                out:write(string.format('\t\t%s = %s,\n', keys[nn], tostring(value)))
                            else
                                out:write(string.format('\t\t%s = "%s",\n', keys[nn], tostring(value):gsub("\r", '')))
                            end 
                        end

                    end
                    out:write('\t},\n')
                end 
                --}}}
            end 
            out:write('}')
            out:close()
        end 
        f:close()
    end 
    --}}}
end 

EOF

